$(document).ready(function() {
        $('.carousel').carousel()
        $("#formulario :input").prop("disabled", false);
        $( "#button" ).click(function( event ) {

        if($("#formulario")[0].checkValidity()){
            $('html, body').animate({
                scrollTop: $("#formulario").offset().top
            }, 'fast');
            event.preventDefault();
            $("#status").html("procesando solicitud");
            var datosFormulario=$("#formulario").serialize();
            
            /*$.get("http://amdigital.mx/xlogistics/sendMail/"+datosFormulario, function(respuesta){
               // alert(respuesta);
                $("#formulario :input").prop("disabled", false);
                var json_obj = $.parseJSON(respuesta);
                //if (json_obj['codigoRespuesta'] == 1)
                  //  $("#formulario")[0].reset();

                //alert(json_obj['mensaje']);
            });*/
                if( !$('#checkbox1').is(':checked') ) {
                    alert("Debe aceptar el aviso de privacidad"); 
                }
                else if(isNaN($("#inputTelefono3").val())) {  
                    alert("El teléfono solo debe contener números");  
                } else{
                    $("#formulario :input").prop("disabled", true);
                    $.ajax({
                        type: 'GET',
                        url: "http://amdigital.mx/xlogistics/sendMail/"+datosFormulario,
                        data: {
                            field: 'value'
                        },
                        dataType: 'jsonp',
                        crossDomain: true
                    }).done(function(respuesta){
                        $("#formulario :input").prop("disabled", false);
                        //if (respuesta['codigoRespuesta'] == 1)
                            $("#formulario")[0].reset();
                        alert(respuesta['mensaje']);
                    }).fail(function(error){
                        $("#formulario :input").prop("disabled", false);
                        alert('¡Tu mensaje se ha enviado con éxito, pronto nos pondremos en contacto contigo!');
                       // console.log(error.statusText);
                    });
            }
        }                       
    });
}); 